org.apache.synapse.transport.passthru.util

## Class CacheMessageBuilderDispatchandler

- java.lang.Object
- - org.apache.axis2.handlers.AbstractHandler
  - - org.apache.axis2.engine.AbstractDispatcher
    - - org.apache.synapse.transport.passthru.util.CacheMessageBuilderDispatchandler

- All Implemented Interfaces:
    org.apache.axis2.engine.Handler

      public class CacheMessageBuilderDispatchandler
      extends org.apache.axis2.engine.AbstractDispatcher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

      `org.apache.axis2.engine.Handler.InvocationResponse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`

    - ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

      `handlerDesc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheMessageBuilderDispatchandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axis2.description.AxisOperation` | `findOperation(org.apache.axis2.description.AxisService arg0, org.apache.axis2.context.MessageContext arg1)`
    `org.apache.axis2.description.AxisService` | `findService(org.apache.axis2.context.MessageContext arg0)`
    `void` | `initDispatcher()`
    `org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext messageContext)`

    - ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CacheMessageBuilderDispatchandler

          public CacheMessageBuilderDispatchandler()

  - ### Method Detail

    - #### invoke

          public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext messageContext)
                                                                    throws org.apache.axis2.AxisFault

      Specified by:
        `invoke` in interface `org.apache.axis2.engine.Handler`
      Overrides:
        `invoke` in class `org.apache.axis2.engine.AbstractDispatcher`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### findOperation

          public org.apache.axis2.description.AxisOperation findOperation(org.apache.axis2.description.AxisService arg0,
                                                                          org.apache.axis2.context.MessageContext arg1)
                                                                   throws org.apache.axis2.AxisFault

      Specified by:
        `findOperation` in class `org.apache.axis2.engine.AbstractDispatcher`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### findService

          public org.apache.axis2.description.AxisService findService(org.apache.axis2.context.MessageContext arg0)
                                                               throws org.apache.axis2.AxisFault

      Specified by:
        `findService` in class `org.apache.axis2.engine.AbstractDispatcher`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### initDispatcher

          public void initDispatcher()

      Specified by:
        `initDispatcher` in class `org.apache.axis2.engine.AbstractDispatcher`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.